Bug 135790 - hotplug events cause errors in libhal
hotplug events cause errors in libhal
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 21:44 EDT by Michal Jaegermann
Modified: 2013-03-05 22:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 09:07:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-10-14 21:44:54 EDT
Description of problem:

Every time a USB scanner shows up on a bus I am getting messages
like those:

manager.c/712: New Device:
/org/freedesktop/Hal/devices/usb_usb_device_4b8_128_103_-1_noserial_0
libhal.c 906 : Error sending msg: No property info.capabilities on
device with id
/org/freedesktop/Hal/devices/usb_usb_device_4b8_128_103_-1_noserial_0
libhal.c 906 : Error sending msg: No property info.capabilities on
device with id
/org/freedesktop/Hal/devices/usb_usb_device_4b8_128_103_-1_noserial_0

Ample documentation makes abudantly clear how to get rid of that
(unfortunately not).

Version-Release number of selected component (if applicable):
hal-0.2.98.cvs20040929-3
Comment 1 David Zeuthen 2004-10-15 09:07:35 EDT
Hi, 

These errors are harmless, but it would be nice to get rid of them
though. I'll fix this in upstream libhal (not sure it will make FC3
though, maybe) so I'll close this bug as UPSTREAM.

FYI, the program that is emitting the messages is gnome-volume-manager
which uses libhal to get notifications among other things. 

Thanks,
David
Comment 2 Michal Jaegermann 2004-10-15 14:27:53 EDT
> These errors are harmless ...

Thanks!  Good to know.  OTOH any "debugging noise" on a production
system is a bug in a making by masking real problems.

Note You need to log in before you can comment on or make changes to this bug.